## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name pydeps

%global desc %{expand: \
Python module dependency visualization. This package installs the pydeps
command, and normal usage will be to use it from the command line.}

%bcond tests 1
%bcond html_docs 0

%global forgeurl https://github.com/thebjorn/pydeps

Name:       %{pypi_name}
Version:    3.0.1
Release:    %autorelease
Summary:    Display module dependencies
License:    BSD-2-Clause
%forgemeta
URL:        %forgeurl
Source0:    %forgesource
BuildArch:  noarch

%{?python_enable_dependency_generator}

BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3dist(pyyaml)
BuildRequires:  graphviz
%endif
BuildRequires:  make
BuildRequires:  python3-sphinx

%description
%{desc}

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
# Generate man pages and docs
pushd docs
make %{?_smp_mflags} man

%if %{with html_docs}
make %{?_smp_mflags} html
%endif
popd


%install
%pyproject_install
%pyproject_save_files -l %{pypi_name}

# Install man page and html docs
mkdir -p %{buildroot}/%{_mandir}/man1
cp -a docs/_build/man/*.1 %{buildroot}/%{_mandir}/man1
%if %{with html_docs}
rm docs/_build/html/.buildinfo
%endif


%check
%pyproject_check_import
%if %{with tests}
  %pytest -v
%endif

%files -n %{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/pydeps
%{_mandir}/man1/%{pypi_name}.1*
%if %{with html_docs}
%doc docs/_build/html
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 3.0.1-2
- Rebuilt for Python 3.14

* Tue Feb 04 2025 Packit <hello@packit.dev> - 3.0.1-1
- Update to 3.0.1 upstream release
- Resolves: rhbz#2343745

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jan 01 2025 Packit <hello@packit.dev> - 3.0.0-1
- Update to 3.0.0 upstream release
- Resolves: rhbz#2335156

* Mon Nov 11 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 2.0.1-2
- fix: disable building html docs (fixes rh#2320028)

* Sun Oct 20 2024 Packit <hello@packit.dev> - 2.0.1-1
- Update to 2.0.1 upstream release
- Resolves: rhbz#2320028

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 24 2024 Tomáš Hrnčiar <thrnciar@redhat.com> - 1.12.20-1
- Update to 1.12.20

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.12.19-5
- Rebuilt for Python 3.13

* Wed Mar 13 2024 Sandro <devel@penguinpee.nl> - 1.12.19-4
- Fix Packit config

* Mon Mar 11 2024 Sandro <devel@penguinpee.nl> - 1.12.19-3
- Add Packit config

* Mon Mar 11 2024 Sandro <devel@penguinpee.nl> - 1.12.19-2
- Re-enable all tests

* Mon Mar 11 2024 Sandro <devel@penguinpee.nl> - 1.12.19-1
- Update to 1.12.9 (RHBZ#2259942)

* Mon Mar 11 2024 Sandro <devel@penguinpee.nl> - 1.12.17-6
- Add .git-blame-ignore-revs

* Mon Mar 11 2024 Sandro <devel@penguinpee.nl> - 1.12.17-5
- Replace tabs with spaces

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 02 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.12.17-2
- Assert that the .dist-info directory contains a license file

* Thu Sep 07 2023 Sandro <devel@penguinpee.nl> - 1.12.17-1
- Update to 1.12.17 (RHBZ#2225186)
- Also fixes RHBZ#2226127

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 12 2023 Sandro <devel@penguinpee.nl> - 1.12.12-1
- Update to 1.12.12 (RHBZ#2148566)
- tests/ is now excluded explicitely --> drop autodiscovery
- generate man pages and html docs

* Wed Jul 12 2023 Sandro <devel@penguinpee.nl> - 1.12.10-1
- Update to 1.12.10 (RHBZ#2148566)
- Fix issue with tests
- Exclude tests/ from installation
- Handle SPECPARTS dir

* Tue Jul 11 2023 Sandro <devel@penguinpee.nl> - 1.12.9-1
- Update to 1.12.9 (RHBZ#2148566)
- Fix wrong tarball in side cache
- Re-enable tests again

* Tue Jul 11 2023 Sandro <devel@penguinpee.nl> - 1.12.8-1
- Update to 1.12.8 (RHBZ#2148566)
- Migrate to SPDX license
- Disable tests (fixes RHBZ#2220079)

* Sat Jul 01 2023 Python Maint <python-maint@redhat.com> - 1.11.1-6
- Rebuilt for Python 3.12

* Wed Mar 08 2023 Luis Bazan <lbazan@fedoraproject.org> - 1.11.1-5
- checking the issue with the test.

* Wed Mar 08 2023 Luis Bazan <lbazan@fedoraproject.org> - 1.11.1-4
- checking the issue with the test.

* Wed Mar 08 2023 Luis Bazan <lbazan@fedoraproject.org> - 1.11.1-3
- checking the issue with the test.

* Wed Mar 08 2023 Luis Bazan <lbazan@fedoraproject.org> - 1.11.1-2
- checking the issue with the test.

* Wed Mar 08 2023 Luis Bazan <lbazan@fedoraproject.org> - 1.11.1-1
- new upstream version

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Oct 30 2022 Sandro <devel@penguinpee.nl> - 1.10.24-1
- Update to 1.10.24

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.10.18-2
- Rebuilt for Python 3.11

* Sat May 07 2022 Antonio Trande <sagitter@fedoraproject.org> - 1.10.18-1
- Release 1.10.18

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Oct 09 2021 Antonio Trande <sagitter@fedoraproject.org> - 1.10.12-1
- Release 1.10.12

* Thu Sep 30 2021 Antonio Trande <sagitter@fedoraproject.org> - 1.10.5-4
- Remove patch
- Remove all Requires packages

* Thu Sep 30 2021 Antonio Trande <sagitter@fedoraproject.org> - 1.10.5-3
- Drop enum34 dependency if use Python >= 3.4.0 (rhbz#2008666) /3

* Thu Sep 30 2021 Antonio Trande <sagitter@fedoraproject.org> - 1.10.5-2
- Drop enum34 dependency if use Python >= 3.4.0 (rhbz#2008666) /2

* Thu Sep 30 2021 Antonio Trande <sagitter@fedoraproject.org> - 1.10.5-1
- Release 1.10.5
- Drop enum34 dependency if use Python >= 3.4.0 (rhbz#2008666)

* Fri Sep 24 2021 Antonio Trande <sagitter@fedoraproject.org> - 1.10.3-1
- Release 1.10.3

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 11 2021 Antonio Trande <sagitter@fedoraproject.org> - 1.9.13-1
- Release 1.9.13
- Disable tests (upstream bug #95)

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.9.10-2
- Rebuilt for Python 3.10

* Wed Apr 07 2021 Luis Bazan <lbazan@fedoraproject.org> - 1.9.10-1
- New upstream version

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Oct 01 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.9.9-1
- Update to new release

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.3-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.9.3-2
- Rebuilt for Python 3.9

* Wed May 13 2020 Luis Bazan <lbazan@fedoraproject.org> - 1.9.3-1
- New upstream version

* Thu Apr 23 2020 Luis Bazan <lbazan@fedoraproject.org> - 1.9.0-1
- New upstream version

* Wed Apr 22 2020 Luis Bazan <lbazan@fedoraproject.org> - 1.8.8-1
- Initial package

## END: Generated by rpmautospec
